%define module_name Template-Plugin-Filter-Scss
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CSS/Sass.pm) perl(Module/Build/Tiny.pm) perl(Template.pm) perl(Template/Plugin/Filter.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: CSS::Sass filter for Template Toolkit 
Group: Development/Perl
License: perl
URL: https://github.com/bbon/Template-Plugin-Filter-Scss

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BB/BBON/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
[%% USE Filter.Scss include_paths => '/home/user/sass', output_style => 'compressed' %%]

    [%% FILTER scss %%]
        @import "compass/css3";
        .col305 {
            position: relative;
            display: inline-block;
            width: 305px;
            vertical-align: top;
            height: 400px;
            @include opacity(0);

            &-header {
                font-size: 12px;
            }
        }
    [%% END %%]


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/T*

%changelog
* Thu Mar 07 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Fri Nov 18 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

